% an example of how to use the other scripts.
% start up matlab (while in the cosmomc/mscripts directory)
% can then just type in 
% example
% and it will run this script

% this assumes you have downloaded and untarred
% http://cosmologist.info/cosmomc/data/cmbhst.tar.gz
% into directory data/

% type: `help readsamps' to find out more information
[data, names]=readsamps('../data/','cmbhst',4);
nsamp=length(data), count=data(1,:); like=data(2,:);

% add bbn prior of 0.0205 \pm 0.002
countbbn=count.*exp(-(data(3,:)-0.0205).^2./(2*0.002^2));
likebbn=like+(data(3,:)-0.0205).^2./(2*0.002^2);

pars2plot=[3 5 17 18]; 
names(pars2plot,:)

smallfs=10;

figure(1)
clf
[h1]=plotoneset_samp(data(:,:),count(:),names,pars2plot, ...
  'qbwr-','normr-',[0.68 0.95],0.68,smallfs,0.05,'marg',[],[],5)

hold on
[h1]=plotoneset_samp(data(:,:),countbbn(:),names,pars2plot, ...
  'qbwb-','normb-',[0.68 0.95],0.68,smallfs,0.05,'marg',[],[],5)


figure(2)

clf

ipars=[3 4 5 6 10 16 17 18 19 20]
nsx=3; nsy=4; % number of subplots to have in x and y directions
smw=0.1; fs=12; lw=1.5;

[h ht]=plotpars1d(data,count,names,ipars,'b',smw,nsx,nsy,'marg','-',fs,2)
hold on 

% put the mean likelihood lines on too, to see how robust results are
[hl]=plotpars1d(data,like,names,ipars,'b',smw,nsx,nsy,'mean','--',fs,0)

% the below is optional
set([hl],'linewidth',lw)
set([h],'linewidth',lw)
kids=get(gcf,'children')
set(kids,'fontsize',fs,'linewidth',lw)
%
set([ht(1) ],'position',[0.024 0.83 0])
set([ht(2) ],'position',[0.125 0.83 0])
set([ht(6) ],'position',[0.1 0.85 0])
%
subplot(nsx,nsy,1); tmp=[0.015 0.025]; set(gca,'xtick',tmp); set(gca,'xticklabel',tmp)
subplot(nsx,nsy,3); tmp=[0.6 0.8]; set(gca,'xtick',tmp); set(gca,'xticklabel',tmp)
subplot(nsx,nsy,6); tmp=[0.4 0.8]; set(gca,'xtick',tmp); set(gca,'xticklabel',tmp)
subplot(nsx,nsy,8); tmp=[0 0.4 0.8]; set(gca,'xtick',tmp); set(gca,'xticklabel',tmp)
subplot(nsx,nsy,10); tmp=[0.1 0.2]; set(gca,'xtick',tmp); set(gca,'xticklabel',tmp)
%
for i=1:length(hl)
  p=get(hl(i),'parent');
  set(p,'linewidth',lw,'fontsize',fs);
  t=get(p,'ticklength');
  set(p,'ticklength',t*4);
end
set([hl],'linewidth',lw)

hold on
[h]=plotpars1d(data,countbbn,names,ipars,'r',smw,nsx,nsy,'marg','-',fs,0)
set([h],'linewidth',lw)
[h]=plotpars1d(data,likebbn,names,ipars,'r',smw,nsx,nsy,'mean','--',fs,0)
set([h],'linewidth',lw)

